net.corda.node.services.messaging

## Class ClientRPCRequestMessage

- net.corda.node.services.messaging.ClientRPCRequestMessage

-     public class ClientRPCRequestMessage

  The contents of an RPC request message, separated from the MQ layer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientRPCRequestMessage.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ClientRPCRequestMessage.Companion` | `Companion`
    `static java.lang.String` | `METHOD_NAME`
    `static java.lang.String` | `OBSERVATIONS_TO`
    `static java.lang.String` | `REPLY_TO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientRPCRequestMessage(SerializedBytes<kotlin.Array[]> args, java.lang.String replyToAddress, java.lang.String observationsToAddress, java.lang.String methodName, User user)` The contents of an RPC request message, separated from the MQ layer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SerializedBytes<kotlin.Array[]>` | `component1()`
    `java.lang.String` | `component2()`
    `java.lang.String` | `component3()`
    `java.lang.String` | `component4()`
    `User` | `component5()`
    `ClientRPCRequestMessage` | `copy(SerializedBytes<kotlin.Array[]> args, java.lang.String replyToAddress, java.lang.String observationsToAddress, java.lang.String methodName, User user)` The contents of an RPC request message, separated from the MQ layer.
    `boolean` | `equals(java.lang.Object p)`
    `SerializedBytes<kotlin.Array[]>` | `getArgs()`
    `java.lang.String` | `getMethodName()`
    `java.lang.String` | `getObservationsToAddress()`
    `java.lang.String` | `getReplyToAddress()`
    `User` | `getUser()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Field Detail

    - #### REPLY_TO

          public static java.lang.String REPLY_TO

    - #### OBSERVATIONS_TO

          public static java.lang.String OBSERVATIONS_TO

    - #### METHOD_NAME

          public static java.lang.String METHOD_NAME

    - #### Companion

          public static ClientRPCRequestMessage.Companion Companion

  - ### Constructor Detail

    - #### ClientRPCRequestMessage

          public ClientRPCRequestMessage(SerializedBytes<kotlin.Array[]> args,
                                         java.lang.String replyToAddress,
                                         java.lang.String observationsToAddress,
                                         java.lang.String methodName,
                                         User user)

      The contents of an RPC request message, separated from the MQ layer.

  - ### Method Detail

    - #### getArgs

          public SerializedBytes<kotlin.Array[]> getArgs()

    - #### getReplyToAddress

          public java.lang.String getReplyToAddress()

    - #### getObservationsToAddress

          public java.lang.String getObservationsToAddress()

    - #### getMethodName

          public java.lang.String getMethodName()

    - #### getUser

          public User getUser()

    - #### component1

          public SerializedBytes<kotlin.Array[]> component1()

    - #### component2

          public java.lang.String component2()

    - #### component3

          public java.lang.String component3()

    - #### component4

          public java.lang.String component4()

    - #### component5

          public User component5()

    - #### copy

          public ClientRPCRequestMessage copy(SerializedBytes<kotlin.Array[]> args,
                                              java.lang.String replyToAddress,
                                              java.lang.String observationsToAddress,
                                              java.lang.String methodName,
                                              User user)

      The contents of an RPC request message, separated from the MQ layer.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)